aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorchriseth <chris@ethereum.org>2016-09-15 21:10:59 +0800
committerGitHub <noreply@github.com>2016-09-15 21:10:59 +0800
commit8a4f8c236cb0dd3b7256556552c896be137cd02c (patch)
tree3bb29915d498b229ac9b5da2b2b8e917205eccae
parent2bee7e91716a2bfee826f7b648c4cc6de888abbb (diff)
parent9280954e726d2a4e16af8a41797aba1f495f326f (diff)
downloaddexon-solidity-8a4f8c236cb0dd3b7256556552c896be137cd02c.tar
dexon-solidity-8a4f8c236cb0dd3b7256556552c896be137cd02c.tar.gz
dexon-solidity-8a4f8c236cb0dd3b7256556552c896be137cd02c.tar.bz2
dexon-solidity-8a4f8c236cb0dd3b7256556552c896be137cd02c.tar.lz
dexon-solidity-8a4f8c236cb0dd3b7256556552c896be137cd02c.tar.xz
dexon-solidity-8a4f8c236cb0dd3b7256556552c896be137cd02c.tar.zst
dexon-solidity-8a4f8c236cb0dd3b7256556552c896be137cd02c.zip
Merge pull request #1085 from LefterisJP/centos_install
Add Centos to install_deps.sh
-rwxr-xr-xscripts/install_deps.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/scripts/install_deps.sh b/scripts/install_deps.sh
index 7c8523a8..334c62d4 100755
--- a/scripts/install_deps.sh
+++ b/scripts/install_deps.sh
@@ -56,6 +56,8 @@ detect_linux_distro() {
elif [ -f /etc/os-release ]; then
# extract 'foo' from NAME=foo, only on the line with NAME=foo
DISTRO=$(sed -n -e 's/^NAME="\(.*\)\"/\1/p' /etc/os-release)
+ elif [ -f /etc/centos-release ]; then
+ DISTRO=CentOS
else
DISTRO=''
fi
@@ -329,6 +331,51 @@ case $(uname -s) in
sudo apt-get -y install eth
;;
+
+#------------------------------------------------------------------------------
+# CentOS
+# CentOS needs some more testing. This is the general idea of packages
+# needed, but some tweaking/improvements can definitely happen
+#------------------------------------------------------------------------------
+ CentOS)
+ read -p "This script will heavily modify your system in order to allow for compilation of Solidity. Are you sure? [Y/N]" -n 1 -r
+ if [[ $REPLY =~ ^[Yy]$ ]]; then
+ # Make Sure we have the EPEL repos
+ sudo yum -y install epel-release
+ # Get g++ 4.8
+ sudo rpm --import http://ftp.scientificlinux.org/linux/scientific/5x/x86_64/RPM-GPG-KEYs/RPM-GPG-KEY-cern
+ wget -O /etc/yum.repos.d/slc6-devtoolset.repo http://linuxsoft.cern.ch/cern/devtoolset/slc6-devtoolset.repo
+ sudo yum -y install devtoolset-2-gcc devtoolset-2-gcc-c++ devtoolset-2-binutils
+
+ # Enable the devtoolset2 usage so global gcc/g++ become the 4.8 one.
+ # As per https://gist.github.com/stephenturner/e3bc5cfacc2dc67eca8b, what you should do afterwards is
+ # to add this line:
+ # source /opt/rh/devtoolset-2/enable
+ # to your bashrc so that this happens automatically at login
+ scl enable devtoolset-2 bash
+
+ # Get cmake
+ sudo yum -y remove cmake
+ sudo yum -y install cmake3
+ sudo ln -s /usr/bin/cmake3 /usr/bin/cmake
+
+ # Get latest boost thanks to this guy: http://vicendominguez.blogspot.de/2014/04/boost-c-library-rpm-packages-for-centos.html
+ sudo yum -y remove boost-devel
+ sudo wget http://repo.enetres.net/enetres.repo -O /etc/yum.repos.d/enetres.repo
+ sudo yum install boost-devel
+
+ # And finally jsoncpp
+ sudo yum -y install jsoncpp-devel
+ else
+ echo "Aborted CentOS Solidity Dependency Installation";
+ exit 1
+ fi
+
+ ;;
+
+
+
+
*)
#------------------------------------------------------------------------------